Name:           ecore
Version:        0.9.9.050
Release:        5%{?dist}
Summary:        Event/X abstraction layer

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/snapshots/2008-09-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  eet-devel evas-devel libX11-devel libXext-devel 
BuildRequires:  libXcursor-devel libXrender-devel libxcb-devel 
BuildRequires:  libXinerama-devel libXrandr-devel libXScrnSaver-devel 
BuildRequires:  libXcomposite-devel libXfixes-devel libXdamage-devel 
BuildRequires:  xorg-x11-proto-devel SDL-devel 
BuildRequires:  openssl-devel libcurl-devel chrpath doxygen pkgconfig

%description
Ecore is the event/X abstraction layer that makes doing selections,
Xdnd, general X stuff, event loops, timeouts and idle handlers fast,
optimized, and convenient.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       libcurl-devel openssl-devel
Requires:       evas-devel eet-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --enable-ecore-fb --enable-ecore-sdl --enable-ecore-desktop
make %{?_smp_mflags}
sed -i -e 's/$projectname Documentation Generated: $datetime/$projectname Documentation/' doc/foot.html
./gendoc


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}_config
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/lib%{name}_*.so*
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove unfinished manpages
find doc/man/man3 -size -100c -delete
rm -f doc/man/man3/todo.3 # remove todo
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
# install crashes on long file lists, do "for" loop in shell instead
for f in doc/man/man3/*; do install -p -m 644 $f $RPM_BUILD_ROOT%{_mandir}/man3; done



%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/%{name}_config
%{_libdir}/libecore.so.*
%{_libdir}/libecore_*.so.*


%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9.050-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.9.050-4
- rebuild with new openssl

* Wed Dec 17 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-3
- rebuilt

* Wed Dec 17 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-2
- Rebuilt

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-1
- New upstream snapshot

* Mon May 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.043-1
- New upstream snapshot
- Removed DirectFB backend, it's unmaintained upstream

* Wed May 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-4
- Added pkgconfig to buildrequires and ecore-devel requires

* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-3
- Fixed ecore-devel dependencies once again

* Fri May 02 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-2
- Fixed ecore-devel dependencies
- Fixed timestamp of source tarball
- Preserve timestamps of installed files
- Added html docs

* Mon Apr 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-1
- Initial specfile for Ecore
